Skip to main content
PATCH
Patch a CRM integration

Authorizations

x-api-key
string
header
required

Path Parameters

heron_id
string
required

Body

application/json
auth
object
write-only

Authentication details for the CRM integration

config
object

The configuration for the CRM integration

failure_notification_channel
string | null

The channel to send failure notifications to

instance_url
string<url>

Base URL of the CRM integration

Example:

"https://sandbox.salesforce.com"

is_enabled
boolean
default:true

Whether the integration is enabled

Example:

true

is_live
boolean
default:true

Whether the integration is live

Example:

true

provider
string

The CRM provider

secret
string
write-only

A secret key for the CRM integration

Response

200 - application/json

Ok

config
object
required

The configuration for the CRM integration

instance_url
string<url>
required

Base URL of the CRM integration

Example:

"https://sandbox.salesforce.com"

provider
string
required

The CRM provider

failure_notification_channel
string | null

The channel to send failure notifications to

heron_id
string
read-only
is_enabled
boolean
default:true

Whether the integration is enabled

Example:

true

is_live
boolean
default:true

Whether the integration is live

Example:

true